Sign up
After initializing the Registration wizard, use this method to sign up a client to the Trader's Room. If after initializing the Registration wizard, you received the *basic_register_form* workflow, specify the received fields in the request body of POST/api/v2/my/signup. If after initializing the Registration wizard, you received the *registration_list* workflow, specify the *uuid* and *wizard_id* parameters in the request body of POST/api/v2/my/signup.
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Depends on the response obtained after initialing the Registration wizard.
For the registration_list response:
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/my/signup" \ -H "Content-Type: application/json" \ -d '{ "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732", "wizard_id": 0 }'{ "code": 202, "data": { "fields": [ { "id": 1, "priority": 0, "name": "string", "label": { "value": "string", "raw": true, "hint": { "value": "string", "position": "start" } }, "type": "string", "rules": [ [ [ "example" ] ] ], "initialValue": 1, "options": [ { "name": "string", "value": 1, "disabled": false, "hint": "string", "related_fields": [ "example" ], "related_fields_id": [ 1 ] } ], "description": "example", "hidden": true, "readonly": true, "data": [ 1 ], "fields": [ {} ], "mask": { "key": "example", "value": "example", "enabledIf": [ "example" ] }, "optionsType": { "type": "example", "endpoint": "example" }, "fieldToWatch": "example", "change": true, "autocompleteSuggestions": { "endpoint": "example", "source_type": "example", "autocomplete_fields": [ "example" ] }, "related_field_id": 1, "related_option_id": 1, "depends_on_field_id": 1 } ] }, "done": true, "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732", "workflow": "terminate"}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}